Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Only PHP CLI on IA64 OpenVMS 8.3-1H1

 
Fredrik.eriksson
Valued Contributor

Only PHP CLI on IA64 OpenVMS 8.3-1H1

Hi all,

I got a bit curious, I'm somewhat (see very :P) fond of using PHP. This got me thinking since I've seen that PHP 5.2.6 is available to use for HP secure webserver.

Is it possible to install PHP without the need of the webserver (just running it as a CLI script interpreter that is)?

As described in the install instructions for CSWS_PHP V2.1 there's a prerequisite to use HP Secure Web Server Version 2.1 or higher (or version 1.3-1).

Here's the link I've found.
http://h71000.www7.hp.com/openvms/products/ips/apache/csws_php_210_relnotes.html

Best regards
Fredrik Eriksson
6 REPLIES 6
Hoff
Honored Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

While you're certainly free to try this configuration, I'd not tend stray very from the documented path here with these tools. Load the prerequisites and all - Apache and php, and perl if and as appropriate - and then not start Apache and otherwise look to use php directly.

Fredrik.eriksson
Valued Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

That's just it, I don't want to install apache/CSWS just to get my hands on the php runtime compiler :)

It's not worth the trouble if it includes installing alot of things which I/my environment have no use for.
I'm just looking at PHP because I like it better then using Perl for scripting (which is just my opionion) :)

Anyway, this is no requirement for my environment. Just a simple thought for something that suits me better.

Best regards
Fredrik Eriksson
Hoff
Honored Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

Well, if you have a few minutes and some disk space free, try it and let us know. Last time I was in this selection of twisty passages, I remember bumping into a prerequisite check.

If you're interested, Python and Lua are around, too.
Fredrik.eriksson
Valued Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

Actually, the prerequisite named in those install documents weren't true :)

It worked almost flawlessly (just a little thing telling me to copy phpshr.exe to syslib).

Best regards
Fredrik Eriksson
Willem Grooters
Honored Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

$ DEFINE PHPSHR PHPSHR.EXE

Should work (but you'll never know; PHP did have the bad habit before not to take logicals into account - I've had this problem with other libraries)...
Willem Grooters
OpenVMS Developer & System Manager
Fredrik.eriksson
Valued Contributor

Re: Only PHP CLI on IA64 OpenVMS 8.3-1H1

I solved it by just copying the PHPSHR.EXE file into the directory where it said it was missing.

I've done this before when PERL decided it was going to act up :)

Best regards
Fredrik Eriksson